Subject: RE: [Forces-protocol] Outline

From: [email-masked]
Date: Thu, 8 Apr 2004 00:31:08 -0400

Hello Hormuzd,

I think we should move TML requirements before the Example Scenarios.
TML req. section will document all cases where it ForCES protocol can be
used. 

As we know that start-up and shutdown and configuration procedure for
distributed envionrment we need to comeup with a different section
heading to describe all these usecases. I'm not sure just example
scenario may be misleading.  

I agree to Jamal's comment that we can figure out and reorganize latter.
But my take is that we have short time and if we can get more clarity
that would be good.

Regards
Ramg

> -----Original Message-----
> From: [email-masked] [mailto:forces-protocol-
> [email-masked]] On Behalf Of ext Khosravi, Hormuzd M
> Sent: Wednesday, April 07, 2004 2:57 PM
> To: Wang,Weiming; [email-masked]
> Subject: RE: [Forces-protocol] Outline
> 
> Weiming,
> 
> Thanks for your comments!
> I am fine with the Definitions section. I have to agree with Jamal on
> the Common Header, all other sections are present in most drafts/RFCs
as
> you have mentioned. Based on your, Jamal's comments here is what I
> propose for the outline...
> 
> Abstract
> 1. Introduction
> 2. Definitions
> 3. Protocol Overview
> 4. Common Header
> 5. Protocol Messages
> 6. Example Scenarios
> 7. TML Requirements
> 8. Security Considerations
> 9. References
> 10. Acknowledgments
> 
> 
> I completely agree with you that we need to start discussing protocol
> overview/messages.
> 
> regards
> Hormuzd
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Wang,Weiming
> 
> > Hormuzd,
> > Some comments:
> >
> > On Tue, 2004-04-06 at 02:49, Khosravi, Hormuzd M wrote:
> > > Here is an initial outline for the draft
> > >
> > > Abstract
> > > 1. Introduction
> 
> [Weiming] I suppose we add
>     2. Definitions
> 
> > > 2. Protocol Overview
> > > 3. Common Header
> [Weiming] The common header can be inside the overview. And also the
> overivew
> will explain the layering model of PL and TML, therefore the TML
> requirements
> can also be included in it.
> 
> > > 4. Protocol Messages
> >
> > Should we follow with protocol details after this?
> > And should TML move to just below Protocol overview or were you
> thinking
> > protocol overview contains overview of TML as well?
> 
> [Weiming] Agreed as above.
> >
> > > 5. Example Scenarios
> 
> [Weiming] This section should be as an Appendix.
> 
> > > 6. TML Requirements
> 
> [Weiming]As mentioned above, this should be put early in the protocol
> overview,
> so that some protocol messages related to TML can be reasonably
> understood.
> 
> > > 7. Security Considerations
> >
> > do security requirements belong to TML as well?
> >
> [Weiming]This section is still normally needed even TML will be more
> responsible
> for protocol security issues.
> 
> > > 8. References
> > > 9. Acknowledgments
> > >
> > > Let me know what you guys think ?
> > > We can add more details as we move along.
> >
> > I think its a good start and good idea to have this at this point.
We
> > probably shouldnt spend too much time on cosmetics right now because
i
> > think we can iron those out as we go on.
> >
> > cheers,
> > jamal
> >
> 
> [Weiming] To summarise, I think we may only need to give the first
layer
> outlines as follows,
> 
> 1. Introduction
> 2. Definitions
> 3. Protocol Overview
> 4. Protocol Messages
> 
> All others are just normal ones and the more we need to discuss
followed
> is the
> contents inside the overview and messages. As Jamal said, we can do it
> along
> with the issue discussions.
> 
> Yours,
> Weiming
> 
> _______________________________________________
> Forces-protocol mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/forces-protocol

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol